﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ChartPointInfoDate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void SfChart_SelectionZoomingEnd(object sender, Syncfusion.UI.Xaml.Charts.SelectionZoomingEndEventArgs e)
        {
            Point mousePointStart = new Point(e.ZoomRect.Left - chart.SeriesClipRect.Left, e.ZoomRect.Top - chart.SeriesClipRect.Top);
            Point mousePointEnd = new Point(e.ZoomRect.Right - chart.SeriesClipRect.Left, e.ZoomRect.Top - chart.SeriesClipRect.Top);

            double xStart = chart.PointToValue(chart.PrimaryAxis, mousePointStart);
            DateTime startDate = DateTime.FromOADate(xStart);

            double xEnd = chart.PointToValue(chart.PrimaryAxis, mousePointEnd);
            DateTime endDate = DateTime.FromOADate(xEnd);

            double yStart = chart.PointToValue(chart.SecondaryAxis, mousePointStart);
            double yEnd = chart.PointToValue(chart.SecondaryAxis, mousePointEnd);

        }
    }
}
